@echo off
cls
echo           #######################################
echo           #                                     #
echo           #     MicroTouch DOS Touch Screen     #
echo           #             Version 3.3             #
echo           #                                     #
echo           #       I N S T A L L A T I O N       #
echo           #                                     # 
echo           #######################################
echo.
if "%1" == "" goto error1
if "%2" == "" goto error1
if not exist %1\dosnstl.exe  goto error2
goto contin

:error1
echo To install the DOS Touch Screen driver, please specify the 
echo source drive and destination path (drive and subdirectory).
echo.
echo    For example:  INSTALL A: C:\MTS\TOUCH
echo.
echo Please try again.
goto badend

:error2
echo The files required for the installation of the DOS Touch
echo Screen were not found on this disk.  Please verify the 
echo disk and respecify the source drive and destination path.
echo.
echo    For example:  INSTALL A: C:\MTS\TOUCH
echo.
echo Please try again.
goto badend

:contin
echo.
%1\mtques.exe /Q"About to copy DOS Touch Screen software from %1 to %2." /AContinue,Exit
if errorlevel 2 goto badend
if errorlevel 1 goto start
goto badend 

:start
if exist %2\dostouch.exe goto skip1
%1\mtpath.exe /D%2
if errorlevel 1 goto skip1

echo.
echo Invalid destination path specified, unable to create the
echo destination directory %2. 
echo.
echo Please check destination path specification and try again.
echo.
echo    For example:  INSTALL A: C:\MTS\TOUCH
echo.
echo Please try again.
goto badend

:skip1
echo.
c:
cd\
md ~mts.~ts
cd ~mts.~ts
%1\dosnstl
copy *.exe %2 > nul
copy *.hlp %2 > nul
copy *.ovl %2 > nul
copy %1\read.me > nul
copy read.me %2 > nul
REM Only copy the ini file for new installations
if exist %2\dostouch.ini goto config

copy dostouch.ini %2

:config
del *.exe > nul
del *.hlp > nul
del *.ovl > nul
del read.me > nul
del dostouch.ini > nul
cd..
rd ~mts.~ts

cls 

if exist C:\AUTOEXEC.BAT goto auto
cls
echo.
echo Your AUTOEXEC.BAT file was not found. If you want your 
echo PC to load the Touch Screen driver at startup add the
echo following line to your AUTOEXEC.BAT:  
echo    %2\dostouch
goto okend

:auto
echo.
echo The DOS Touch Screen driver can be loaded at startup
echo by adding the following line to your AUTOEXEC.BAT file.
echo    %2\dostouch

%1\mtques.exe /Q"Do you want the Install program to update the AUTOEXEC.BAT file?" /AYes,No
 
if errorlevel 2 goto okend
if errorlevel 1 goto update
goto error3 

:update
if exist %2\touch.bat del %2\touch.bat
copy c:\autoexec.bat c:\autoexec.bak > nul
echo. >> %2\touch.bat
echo %2\dostouch >> %2\touch.bat
copy c:\autoexec.bak+%2\touch.bat c:\autoexec.bat > nul
del %2\touch.bat > nul
cls
echo.
echo The AUTOEXEC.BAT file has been updated to load the DOS
echo Touch Screen driver on PC startup.  A copy of the old 
echo AUTOEXEC file has been saved as AUTOEXEC.BAK.
echo.
goto okend

:error3
cls
echo Unable to fully complete the automatic touch screen
echo configuration process. 
echo.
goto badend

:badend
echo.
echo Installation process terminated.
goto end

:okend
echo.
echo Installation process completed.

:end
echo.

